# Zen 集成后端框架

本项目使用Gradle工具搭建

``SpringBoot Mybatis Mybatis-plus``

完美支持多数据源，使用Alibaba Druid作为数据库连接池

- 同时支持按包名切换与注解切换(DynamicDataSource)
- 分布式统一事务处理(ZenTransactional)

``Shiro``

身份验证与权限验证，单点登录 中间件

- 分散式身份认证
- 集中式登陆中心
- 基于数据库的集中式权限管理
- 精确到URL(资源)级别的功能权限管理
- 分部门的数据权限管理(未做)

``RabbitMQ``

``Xxl-Job``

``dubbo+zookeeper``

## 更新日志

### 2018-05-07

* `重要更新` 融合zookeeper和dubbo作为rpc框架 (zen-rpc模块)
* 修复ShiroRedis反序列化时id不统一引发的异常
* 重做SysDictUtil,目前能很方便的使用.请注意查看注释

### 2018-05-06

* 加入 权限/字典 的动态配置接口
* 重写字典缓存

### 2018-05-05

* 修改现有字典结构，改为树结构+数据表关联的形式
* 初步修复序列化bug
* 角色动态配置/角色-权限动态配置/角色-菜单动态配置 搞定

### 2018-05-04

* 重构用户的缓存结构 更适用于shiro-redis
* 新增角色相关的所有接口

### 2018-05-03

* `重大更新` 移除kisso并添加shiro
* 单点登陆重做
* 权限管理框架重做
* 缓存结构与逻辑重做