package com.gxzc.zen.api.sys.mapper

import com.gxzc.zen.api.sys.model.SysDictType
import com.gxzc.zen.common.base.BaseMapper
import org.apache.ibatis.annotations.Param
import org.springframework.stereotype.Repository

/**
 * <p>
 * 字典结构树 Mapper 接口
 * </p>
 *
 * @author NorthLan
 * @date 2018/5/5
 * @url https://noahlan.com
 */
@Repository
interface SysDictTypeMapper : BaseMapper<SysDictType>{
    fun updatePath(@Param("parentId") parentId: Long, @Param("id") id: Long): Int
}